
from odoo.upgrade import util

def migrate(cr, version):
    env = util.env(cr)
    # force regen of base.user_groups_view
    env["res.groups"]._update_user_groups_view()
    # set missing "user_groupby" on account.report.line
    # https://github.com/odoo/odoo/pull/133830
    env.cr.execute("""
        UPDATE account_report_line
           SET user_groupby = groupby
         WHERE user_groupby IS NULL AND groupby IS NOT NULL
    """)
